<template>
  <div>
    <div class="step-final-paragraph">Обычно проверка занимает около 2 часов.</div>
    <div class="step-final-paragraph">По завершению проверки на почту {{ email }} и указанный номер телефона придет уведомление.</div>
    <div class="step-final-paragraph">Пока вы можете посмотреть заказы, которые предлагает система.</div>
    <div class="step-final-heading">Перейдем к заказам через</div>
    <div class="step-final-countdown">{{ countdown }}</div>
  </div>
</template>

<script>
  import { getTokenData } from '@/tokenData'

  export default {
    name: 'RegistrationFinal',
    created() {
      this.startTimer();
      setTimeout(() => this.redirect(), 14999);

      const { contractor_role_code, email } = { ...getTokenData() };
      this.role = contractor_role_code;
      this.email = email;
    },
    data() {
      return {
        email: null,
        role: null,
        countdown: 15,
        interval: null
      }
    },
    methods: {
      startTimer() {
        this.interval = setInterval(() => this.countdown--, 1000);
      },

      redirect() {
        clearInterval(this.interval);

        switch (this.role) {
          case 'carrier':
            this.$router.replace({ name: 'requests__search-orders' });
            break;

          case 'clicar':
          case 'client':
            this.$router.replace({ name: 'order__performerer' });
            break;
        }
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";

  .step-final-paragraph {
    @include font-mixin(14px, 18px, 400);
    margin-bottom: 20px;
  }

  .step-final-heading {
    @include font-mixin(20px, 23px, 700, inherit, 0.4px);
    text-align: center;
    margin-bottom: 30px;
    margin-top: 30px;
  }

  .step-final-countdown {
    @include font-mixin(64px, 48px, 700, $blue-700);
    text-align: center;
  }

</style>